# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/people-data-labs/identify-person-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "john.doe@example.com"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/people-data-labs/identify-person-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john.doe@example.com"
}
'import requests
url = "https://api.aisa.one/apis/v1/people-data-labs/identify-person-data"
payload = { "email": "john.doe@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'john.doe@example.com'})
};
fetch('https://api.aisa.one/apis/v1/people-data-labs/identify-person-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/people-data-labs/identify-person-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'john.doe@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/people-data-labs/identify-person-data"
payload := strings.NewReader("{\n \"email\": \"john.doe@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/people-data-labs/identify-person-data")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"john.doe@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/people-data-labs/identify-person-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"john.doe@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"status": 123,
"matches": [
{
"data": {
"id": "<string>",
"sex": "<string>",
"emails": [
{}
],
"skills": [
"<string>"
],
"industry": "<string>",
"profiles": [
{}
],
"education": [
{}
],
"full_name": "<string>",
"interests": [
"<string>"
],
"job_title": "<string>",
"last_name": "<string>",
"birth_date": true,
"birth_year": true,
"experience": [
{}
],
"first_name": "<string>",
"github_url": "<string>",
"work_email": true,
"facebook_id": "<string>",
"job_summary": "<string>",
"linkedin_id": "<string>",
"middle_name": "<string>",
"twitter_url": "<string>",
"facebook_url": "<string>",
"last_initial": "<string>",
"linkedin_url": "<string>",
"location_geo": true,
"mobile_phone": true,
"name_aliases": [
"<string>"
],
"location_name": true,
"phone_numbers": true,
"job_company_id": "<string>",
"job_start_date": "<string>",
"job_title_role": "<string>",
"location_metro": true,
"middle_initial": "<string>",
"github_username": "<string>",
"inferred_salary": "<string>",
"job_title_class": "<string>",
"location_region": true,
"personal_emails": true,
"job_company_name": "<string>",
"job_company_size": "<string>",
"job_last_changed": "<string>",
"job_title_levels": [
"<string>"
],
"location_country": "<string>",
"street_addresses": [
{}
],
"twitter_username": "<string>",
"facebook_username": "<string>",
"job_last_verified": "<string>",
"linkedin_username": "<string>",
"location_locality": true,
"job_title_sub_role": "<string>",
"location_continent": "<string>",
"job_company_founded": 123,
"job_company_website": "<string>",
"job_company_industry": "<string>",
"linkedin_connections": 123,
"location_postal_code": true,
"location_last_updated": "<string>",
"job_company_industry_v2": "<string>",
"job_company_linkedin_id": "<string>",
"job_company_twitter_url": "<string>",
"location_address_line_2": "<string>",
"location_street_address": true,
"job_company_facebook_url": "<string>",
"job_company_linkedin_url": "<string>",
"job_company_location_geo": "<string>",
"job_company_location_name": "<string>",
"job_company_location_metro": "<string>",
"recommended_personal_email": true,
"job_company_location_region": "<string>",
"job_company_location_country": "<string>",
"job_company_location_locality": "<string>",
"job_company_location_continent": "<string>",
"job_company_location_postal_code": "<string>",
"job_company_location_address_line_2": "<string>",
"job_company_location_street_address": "<string>"
},
"matched_on": [
"<string>"
],
"match_score": 50
}
]
}Identify person data
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/people-data-labs/identify-person-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"email": "john.doe@example.com"
}'curl --request POST \
--url https://api.aisa.one/apis/v1/people-data-labs/identify-person-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "john.doe@example.com"
}
'import requests
url = "https://api.aisa.one/apis/v1/people-data-labs/identify-person-data"
payload = { "email": "john.doe@example.com" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'john.doe@example.com'})
};
fetch('https://api.aisa.one/apis/v1/people-data-labs/identify-person-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/people-data-labs/identify-person-data",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => 'john.doe@example.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/people-data-labs/identify-person-data"
payload := strings.NewReader("{\n \"email\": \"john.doe@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/people-data-labs/identify-person-data")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"john.doe@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/people-data-labs/identify-person-data")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"john.doe@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"status": 123,
"matches": [
{
"data": {
"id": "<string>",
"sex": "<string>",
"emails": [
{}
],
"skills": [
"<string>"
],
"industry": "<string>",
"profiles": [
{}
],
"education": [
{}
],
"full_name": "<string>",
"interests": [
"<string>"
],
"job_title": "<string>",
"last_name": "<string>",
"birth_date": true,
"birth_year": true,
"experience": [
{}
],
"first_name": "<string>",
"github_url": "<string>",
"work_email": true,
"facebook_id": "<string>",
"job_summary": "<string>",
"linkedin_id": "<string>",
"middle_name": "<string>",
"twitter_url": "<string>",
"facebook_url": "<string>",
"last_initial": "<string>",
"linkedin_url": "<string>",
"location_geo": true,
"mobile_phone": true,
"name_aliases": [
"<string>"
],
"location_name": true,
"phone_numbers": true,
"job_company_id": "<string>",
"job_start_date": "<string>",
"job_title_role": "<string>",
"location_metro": true,
"middle_initial": "<string>",
"github_username": "<string>",
"inferred_salary": "<string>",
"job_title_class": "<string>",
"location_region": true,
"personal_emails": true,
"job_company_name": "<string>",
"job_company_size": "<string>",
"job_last_changed": "<string>",
"job_title_levels": [
"<string>"
],
"location_country": "<string>",
"street_addresses": [
{}
],
"twitter_username": "<string>",
"facebook_username": "<string>",
"job_last_verified": "<string>",
"linkedin_username": "<string>",
"location_locality": true,
"job_title_sub_role": "<string>",
"location_continent": "<string>",
"job_company_founded": 123,
"job_company_website": "<string>",
"job_company_industry": "<string>",
"linkedin_connections": 123,
"location_postal_code": true,
"location_last_updated": "<string>",
"job_company_industry_v2": "<string>",
"job_company_linkedin_id": "<string>",
"job_company_twitter_url": "<string>",
"location_address_line_2": "<string>",
"location_street_address": true,
"job_company_facebook_url": "<string>",
"job_company_linkedin_url": "<string>",
"job_company_location_geo": "<string>",
"job_company_location_name": "<string>",
"job_company_location_metro": "<string>",
"recommended_personal_email": true,
"job_company_location_region": "<string>",
"job_company_location_country": "<string>",
"job_company_location_locality": "<string>",
"job_company_location_continent": "<string>",
"job_company_location_postal_code": "<string>",
"job_company_location_address_line_2": "<string>",
"job_company_location_street_address": "<string>"
},
"matched_on": [
"<string>"
],
"match_score": 50
}
]
}请求规范
- 方法与路径: POST /apis/v1/people-data-labs/identify-person-data
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/people-data-labs/identify-person-data - Runtime 事实版本: d9aafd76ae02b9bcd98e168c52eb69aba6e12890a1eed8da421910f394e8200a
{
"operationId": "people-data-labs.identify-person-data",
"method": "POST",
"path": "/apis/v1/people-data-labs/identify-person-data",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"lid": {
"type": "string",
"examples": [
"123456789"
],
"description": "The person's LinkedIn ID. This is a numerical ID found in some LinkedIn URLs."
},
"name": {
"type": "string",
"examples": [
"John Michael Doe"
],
"description": "The full name of the person."
},
"email": {
"type": "string",
"description": "An email address associated with the person.",
"examples": [
"john.doe@example.com"
]
},
"phone": {
"type": "string",
"examples": [
"+14155552671",
"415-555-0110"
],
"description": "A phone number associated with the person."
},
"pretty": {
"type": "boolean",
"default": false,
"examples": [
true,
false
],
"description": "If true, the JSON response is pretty-printed for easier human readability."
},
"region": {
"type": "string",
"examples": [
"CA",
"New York"
],
"description": "The state, province, or region where the person resides or has resided."
},
"school": {
"type": "string",
"examples": [
"University of California, Berkeley",
"Stanford University"
],
"description": "The name of an educational institution the person attended."
},
"company": {
"type": "string",
"examples": [
"Acme Corp",
"Globex Corporation"
],
"description": "The name of a company where the person is or was employed."
},
"profile": {
"type": "string",
"examples": [
"https://www.linkedin.com/in/johndoe",
"https://twitter.com/janedoe"
],
"description": "A social media profile URL associated with the person, e.g., a LinkedIn or Twitter profile URL."
},
"locality": {
"type": "string",
"examples": [
"San Francisco",
"New York"
],
"description": "The city or locality where the person resides or has resided."
},
"location": {
"type": "string",
"examples": [
"San Francisco, CA",
"London"
],
"description": "A general location query (e.g., 'San Francisco, CA', 'London, UK') associated with the person."
},
"last_name": {
"type": "string",
"examples": [
"Doe"
],
"description": "The last name of the person."
},
"titlecase": {
"type": "boolean",
"default": false,
"examples": [
true,
false
],
"description": "If true, returns all text values in title case (e.g., 'John Doe'). Otherwise, text is returned as is."
},
"email_hash": {
"type": "string",
"examples": [
"55502f40dc8b7c769880b10874abc9d0",
"8b21e5e33be1739a3eda69c1046d1385022b8817999b5a76e9300dd839cb2569"
],
"description": "An MD5 or SHA-256 hash of the person's email address."
},
"first_name": {
"type": "string",
"examples": [
"John"
],
"description": "The first name of the person."
},
"postal_code": {
"type": "string",
"examples": [
"94107",
"10001"
],
"description": "The postal or ZIP code where the person resides or has resided."
},
"street_address": {
"type": "string",
"examples": [
"123 Main St, Anytown, USA"
],
"description": "The street address where the person resides or has resided."
},
"include_if_matched": {
"type": "boolean",
"default": false,
"examples": [
true,
false
],
"description": "If true, the response will include a 'matched_on' attribute, an array of strings indicating which input parameters led to the match."
}
},
"required": [
"email"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.5503,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.5503 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.5503
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
An email address associated with the person.
"john.doe@example.com"
The person's LinkedIn ID. This is a numerical ID found in some LinkedIn URLs.
"123456789"
The full name of the person.
"John Michael Doe"
A phone number associated with the person.
"+14155552671"
"415-555-0110"
If true, the JSON response is pretty-printed for easier human readability.
true
false
The state, province, or region where the person resides or has resided.
"CA"
"New York"
The name of an educational institution the person attended.
"University of California, Berkeley"
"Stanford University"
The name of a company where the person is or was employed.
"Acme Corp"
"Globex Corporation"
A social media profile URL associated with the person, e.g., a LinkedIn or Twitter profile URL.
"https://www.linkedin.com/in/johndoe"
"https://twitter.com/janedoe"
The city or locality where the person resides or has resided.
"San Francisco"
"New York"
A general location query (e.g., 'San Francisco, CA', 'London, UK') associated with the person.
"San Francisco, CA"
"London"
The last name of the person.
"Doe"
If true, returns all text values in title case (e.g., 'John Doe'). Otherwise, text is returned as is.
true
false
An MD5 or SHA-256 hash of the person's email address.
"55502f40dc8b7c769880b10874abc9d0"
"8b21e5e33be1739a3eda69c1046d1385022b8817999b5a76e9300dd839cb2569"
The first name of the person.
"John"
The postal or ZIP code where the person resides or has resided.
"94107"
"10001"
The street address where the person resides or has resided.
"123 Main St, Anytown, USA"
If true, the response will include a 'matched_on' attribute, an array of strings indicating which input parameters led to the match.
true
false